Bug 495330 - (perl-CSS-Minifier) Review Request: perl-CSS-Minifier - Remove unnecessary whitespace from CSS files
Review Request: perl-CSS-Minifier - Remove unnecessary whitespace from CSS files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/CSS-Minifier
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 22:22 EDT by Chris Weyl
Modified: 2014-04-17 00:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-18 20:19:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-11 22:22:34 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-CSS-Minifier.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-CSS-Minifier-0.01-1.fc10.src.rpm

Description:
This module removes unnecessary whitespace from CSS. The primary
requirement developing this module is to not break working stylesheets:
if working CSS is in input then working CSS is output. The Mac/Internet
Explorer comment hack will be minimized but not stripped and so will
continue to function.This module understands space, horizontal tab, new
line, carriage return, and form feed characters to be whitespace. Any
other characters that may be considered whitespace are not minimized.
These other characters include paragraph separator and vertical tab.For
static CSS files, it is recommended that you minify during the build
stage of web deployment. If you minify on-the-fly then it might be a
good idea to cache the minified file. Minifying static files on-the-fly
repeatedly is wasteful.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1291733

*rt-0.06
Comment 1 Iain Arnell 2009-04-12 14:12:55 EDT
+ source files match upstream.  
  c25ed99401dcf4e97d5ead79bfa2915dbbd6284c  CSS-Minifier-0.01.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic 

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1291733

+ package installs properly.
+ rpmlint has no complaints:
  perl-CSS-Minifier.noarch: I: checking
  perl-CSS-Minifier.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(CSS::Minifier) = 0.01
  perl-CSS-Minifier = 0.01-1.fc11

=
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Exporter)  
  perl(strict)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass.

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED
Comment 2 Chris Weyl 2009-04-12 14:52:12 EDT
New Package CVS Request
=======================
Package Name: perl-CSS-Minifier
Short Description: Remove unnecessary whitespace from CSS files
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-13 11:49:26 EDT
cvs done.
Comment 4 Chris Weyl 2009-04-18 20:19:55 EDT
Thanks for the review! :-)
Comment 5 Xavier Bachelot 2011-04-20 09:52:45 EDT
Hi,
Would you be ok to branch this package for EPEL ?
Comment 6 Xavier Bachelot 2014-04-16 05:43:04 EDT
Package Change Request
======================
Package Name: perl-CSS-Minifier
New Branches: el6 epel7
Owners: xavierb eseyman
InitialCC: perl-sig


As agreed in #1087903, I'll be maintainer for el6 and epel7 and Emmanuel will co-maintain.
Comment 7 Jens Petersen 2014-04-17 00:53:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.